Page MenuHomePhabricator

Accounts are not autocreated on loginwiki
Closed, ResolvedPublic

Description

There is a sharp drop in new account creations on loginwiki since SessionManager was deployed to group1:
https://login.wikimedia.org/w/index.php?title=Special%3ALog&type=newusers&user=&page=&year=&month=-1&tagfilter=&hide_patrol_log=1&hide_tag_log=1

There are two different mechanisms for autocreation, CreateLocalAccount in CentralAuth and the central login mechanism itself; somehow both seem to be failing.

Event Timeline

Tgr created this task.Jan 28 2016, 7:19 PM
Tgr raised the priority of this task from to Unbreak Now!.
Tgr updated the task description. (Show Details)
Tgr added subscribers: Tgr, Anomie, bd808.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 28 2016, 7:19 PM
Luke081515 added a subscriber: Luke081515.
greg added a subscriber: greg.Jan 28 2016, 8:29 PM
Tgr added a comment.Jan 28 2016, 8:31 PM

Meta seems unaffected, even though the job autocreates accounts there as well. So probably the root issue for the job and web is the same.

Change 267134 had a related patch set uploaded (by Anomie):
Grant autocreateaccount to anons on loginwiki

https://gerrit.wikimedia.org/r/267134

Change 267143 had a related patch set uploaded (by Anomie):
SessionManager: Save user name to metadata even if the user doesn't exist locally

https://gerrit.wikimedia.org/r/267143

Change 267144 had a related patch set uploaded (by Anomie):
Take auto-creation into account

https://gerrit.wikimedia.org/r/267144

Change 267171 had a related patch set uploaded (by BryanDavis):
SessionManager: Save user name to metadata even if the user doesn't exist locally

https://gerrit.wikimedia.org/r/267171

Change 267173 had a related patch set uploaded (by BryanDavis):
Take auto-creation into account

https://gerrit.wikimedia.org/r/267173

Change 267143 merged by jenkins-bot:
SessionManager: Save user name to metadata even if the user doesn't exist locally

https://gerrit.wikimedia.org/r/267143

Change 267144 merged by jenkins-bot:
Take auto-creation into account

https://gerrit.wikimedia.org/r/267144

Change 267171 merged by jenkins-bot:
SessionManager: Save user name to metadata even if the user doesn't exist locally

https://gerrit.wikimedia.org/r/267171

Change 267173 merged by jenkins-bot:
Take auto-creation into account

https://gerrit.wikimedia.org/r/267173

Change 267134 merged by jenkins-bot:
Grant autocreateaccount to anons on loginwiki

https://gerrit.wikimedia.org/r/267134

Anomie closed this task as Resolved.Jan 29 2016, 6:03 PM
Anomie claimed this task.

Deployed and tested, accounts are now auto-created on login wiki during the account creation handshake.

RuyP added a subscriber: RuyP.Aug 16 2017, 3:49 AM

Some accounts are not being auto-created on login wiki during the account creation process again.
Some examples (spambots):
BridgetteShapcot
DwightStuder778

Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptAug 16 2017, 3:49 AM
RuyP reopened this task as Open.Aug 16 2017, 3:49 AM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptAug 16 2017, 3:50 AM
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptAug 16 2017, 4:07 PM

Sorry about the tags but if I add one, the other one is removed. If somebody knows how to fix that...

Anomie closed this task as Resolved.Aug 16 2017, 7:09 PM
Anomie removed a project: Wikimedia-Site-requests.

Very likely a different cause of the same symptom, so please file a new bug instead of reopening an old one. To that end, I've created T173451: New accounts not being reliably created on loginwiki for you and am re-closing this one.